<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Company</title>

    <!-- Plugin css for this page -->
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/simple-line-icons/css/simple-line-icons.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/jstree/css/style-custom.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/jquery-contextmenu/jquery.contextMenu.min.css}">
    <!-- for organization structure chart -->
    <link rel="stylesheet" th:href="@{assets/orgChart/css/jquery.orgchart.css}">
    <!-- end organization structure chart -->

    <!-- end -->

    <div th:replace="fragments/header :: header-css"></div>

    <div th:replace="fragments/header :: header-custom-style"></div>

    <style>
        label{
            color:darkslategray;
        }
    </style>

</head>
<body>
    <div class="container-scroller">
      
        <div th:replace="fragments/header :: header"></div>

        <div class="container-fluid page-body-wrapper">
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Company </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#">Data Master</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Company</li>
                            </ol>
                        </nav>
                    </div>

                    <!-- this is main content -->
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-2">
                                            <ul class="nav nav-tabs nav-tabs-vertical" role="tablist">
                                                <li class="nav-item">
                                                    <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home-2" role="tab" aria-controls="home" aria-selected="true"> 
                                                        <div style="text-align: center;"><i class="fa fa-institution"></i></div>
                                                        <div style="text-align: center;">Company Info</div>
                                                    </a>
                                                </li>
                                                <li class="nav-item">
                                                    <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile-2" role="tab" aria-controls="profile" aria-selected="false"> 
                                                        <div style="text-align: center;"><i class="fa fa-cogs"></i></div>
                                                        <div style="text-align: center;">Branch List</div>
                                                    </a>
                                                </li>
                                                <li class="nav-item">
                                                    <a class="nav-link" id="addbranch-tab" data-toggle="tab" href="#add-branch" role="tab" aria-controls="add-branch" aria-selected="false"> 
                                                        <div style="text-align: center;"><i class="fa fa-plus-circle"></i></div>
                                                        <div style="text-align: center;">Add Branch</div>
                                                    </a>
                                                </li>
                                                <li class="nav-item">
                                                    <a class="nav-link" id="contact-tab" data-toggle="tab" href="#contact-2" role="tab" aria-controls="contact" aria-selected="false"> 
                                                        <div style="text-align: center;"><i class="fa fa-sitemap"></i></div>
                                                        <div style="text-align: center;">Organization Structure</div>
                                                    </a>
                                                </li>
                                                <li class="nav-item">
                                                    <a class="nav-link" id="joblevel-tab" data-toggle="tab" href="#job-level" role="tab" aria-controls="job-level" aria-selected="false"> 
                                                        <div style="text-align: center;"><i class="fa fa-bars"></i></div>
                                                        <div style="text-align: center;">Job Level</div>
                                                    </a>
                                                </li>
                                                <li class="nav-item">
                                                    <a class="nav-link" id="jobposition-tab" data-toggle="tab" href="#job-position" role="tab" aria-controls="job-position" aria-selected="false"> 
                                                        <div style="text-align: center;"><i class="icon-people"></i></div>
                                                        <div style="text-align: center;">Job Position</div>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="col-10">
                                            <div class="tab-content tab-content-vertical">
                                                <div class="tab-pane fade show active" id="home-2" role="tabpanel" aria-labelledby="home-tab">
                                                    <div th:replace="company/company-form :: company-form"></div>
                                                </div>
                                                <div class="tab-pane fade" id="profile-2" role="tabpanel" aria-labelledby="profile-tab">
                                                    <div th:replace="company/branch-list :: branch-list"></div>
                                                </div>
                                                <div class="tab-pane fade" id="add-branch" role="tabpanel" aria-labelledby="addbranch-tab">
                                                    <div th:replace="company/branch-add :: branch-add"></div>
                                                </div>
                                                <div class="tab-pane fade" id="contact-2" role="tabpanel" aria-labelledby="contact-tab">
                                                    <div th:replace="company/organization-structure :: organization-structure"></div>
                                                </div>
                                                <div class="tab-pane fade" id="job-level" role="tabpanel" aria-labelledby="joblevel-tab">
                                                    <div class="col-md-6">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h4 class="card-title">Menu on hover with auto-hide</h4>
                                                                <p class="card-description"> Context menu with hide/show on louse in/out </p>
                                                                <div class="card card-inverse-primary" id="context-menu-hover-autohide">
                                                                    <div class="card-body">
                                                                        <p class="card-text"> Hover here for context menu and mouse out for hiding</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                      </div>
                                                </div>

                                                <div class="tab-pane fade" id="job-position" role="tabpanel" aria-labelledby="jobposition-tab">
                                                    <div th:replace="company/job-position :: jobPosition"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->

                <!-- partial:partials/_footer.html -->
                <div th:replace="fragments/footer :: footer"></div>
                <!-- partial -->
            </div>
        <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>

    <!-- container-scroller -->
    <div th:replace="fragments/footer :: footer-js"></div>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/typeahead.js/typeahead.bundle.min.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/jstree/js/jstree.min.js}"></script>
    <script th:src="@{assets/vendors/jquery-contextmenu/jquery.contextMenu.min.js}"></script>

    <script th:src="@{assets/js/js-tree-custom.js}"></script>
    <script th:src="@{assets/js/tabs.js}"></script>
    <script th:src="@{assets/js/file-upload.js}"></script>
    <script th:src="@{assets/js/typeahead.js}"></script>
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/data-table.js}"></script>
    <script th:src="@{assets/js/context-menu.js}"></script>

    <!-- for organization structure plugin -->
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <script th:src="@{assets/orgChart/js/html2canvas.js}"></script>
    <script th:src="@{assets/orgChart/js/jquery.orgchart.js}"></script>
    <script>
        var datascource = {
            'id': 'rootNode', // It's a optional property which will be used as id attribute of node
            // and data-parent attribute, which contains the id of the parent node
            'collapsed': true, // By default, the children nodes of current node is hidden.
            'className': 'top-level', // It's a optional property which will be used as className attribute of node.
            'content': 'Lao Lao',
            'title': 'general manager',
            //'relationship': relationshipValue, // Note: when you activate ondemand loading nodes feature,
            // you should use json datsource (local or remote) and set this property.
            // This property implies that whether this node has parent node, siblings nodes or children nodes.
            // relationshipValue is a string composed of three "0/1" identifier.
            // First character stands for wether current node has parent node;
            // Scond character stands for wether current node has siblings nodes;
            // Third character stands for wether current node has children node.
            'children': [ // The property stands for nested nodes.
                { 'content': 'Bo Miao', 'title': 'department manager', 'relationship': '110' },
                { 'content': 'Su Miao', 'title': 'department manager', 'relationship': '111',
                'children': [
                    { 'content': 'Tie Hua', 'title': 'senior engineer', 'relationship': '110' },
                    { 'content': 'Hei Hei', 'title': 'senior engineer', 'relationship': '110' }
                ]
                },
                { 'content': 'Yu Jie', 'title': 'department manager', 'relationship': '110' }
            ]
            //'otherPro': anyValue
        };

        $('#chart-container').orgchart({
            'data' : datascource,
            'depth': 2,
            'nodeTitle': 'title',
            'nodeContent': 'content'
        });

        // if load data from a remote json file via ajax request use this
        // $('#chart-container').orgchart({
        //     'data' : '/path/to/your/data',
        //     'visibleLevel': 2,
        //     'nodeTitle': 'name',
        //     'nodeContent': 'title'
        // });
    </script>
    <!-- end organization structure plugin -->
    <!-- End custom js for this page -->

</body>
</html>